Bug 21122 - /tmp is persistent across reboots
Summary: /tmp is persistent across reboots
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: initscripts (Show other bugs)
(Show other bugs)
Version: 6.2
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-11-20 14:24 UTC by Kjetil T. Homme
Modified: 2014-03-17 02:17 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-11-20 18:41:41 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Kjetil T. Homme 2000-11-20 14:24:22 UTC
/tmp isn't cleaned up upon boot.  Here's the trivial patch:

--- rc.sysinit.orig     Mon Nov 20 15:00:51 2000
+++ rc.sysinit  Mon Nov 20 15:23:59 2000
@@ -218,6 +218,9 @@
 mount -f /
 mount -f /proc
 
+# Remove all files in /tmp
+action "Clearing /tmp" rm -rf /tmp/.[^.] /tmp/.??* /tmp/*
+
 # Update quotas if fsck was run on /.
 if [ X"$_RUN_QUOTACHECK" = X1 -a -x /sbin/quotacheck ]; then
        action "Checking root filesystem quotas"  /sbin/quotacheck -v /

Comment 1 Bill Nottingham 2000-11-21 15:54:34 UTC
/tmp is cleaned by the tmpwatch cron script.


Note You need to log in before you can comment on or make changes to this bug.